Get a read-only StoredAction record by id
Stored Actions endpoints handle the creation, execution, updates, and deletions of single created actions.
Authorizations
OAuth 2.0 authentication.
Path Parameters
Response
Success: Includes data for the requested Stored Action.
The shape of a payload representing a stored action record.
The UUID id that identifies this stored action and can be used to execute the stored procedure by calling the POST /stored-actions/{stored_action_id}/run endpoint.
UUID identifying the connection to use when executing a Stored Action.
Something like SlackAPI (for Python apps) or SplitwiseCLIAPI@1.0.0 (for CLI apps). Non-public apps are fine as long as the authed user can access them. If a version is included we attempt to use that version of the integration. If no version is provided we attempt to use the latest version of the integration
Name of the action in the integration. Such as new_contact.
Specifies the type of action in the integration since some integrations could have similarly named actions with different actions types
read- Readread_bulk- Read Bulkwrite- Writerun- Runsearch- Searchsearch_or_write- Search Or Writesearch_and_write- Search And Writefilter- Filter
read, read_bulk, write, run, search, search_or_write, search_and_write, filter Key/value pairs that the action needs to execute. In the example of SlackAPI this could be something like {"channel": "ABC", "text": "my message"}
Specifies the resource type, as required by the JSON:API specification.